﻿using System.Windows.Input;

namespace AppTrans
{
    class Commands
    {
        public static RoutedUICommand Exit { get; private set; }
        public static RoutedUICommand About { get; private set; }
        public static RoutedUICommand Hotkeys { get; private set; }
        public static RoutedUICommand Instruction { get; private set; }
        public static RoutedUICommand RunSQL { get; private set; }
        public static RoutedUICommand VerDB { get; private set; }
        public static RoutedUICommand CheckErrors { get; private set; }
        public static RoutedUICommand CheckDateParam { get; private set; }

        static Commands()
        {
            InputGestureCollection exitInputs = new InputGestureCollection();
            exitInputs.Add(new KeyGesture(Key.None, ModifierKeys.None, "Alt+F4"));
            Exit = new RoutedUICommand("_Exit", "Exit", typeof(Commands), exitInputs);

            InputGestureCollection inputs = new InputGestureCollection();
            About = new RoutedUICommand("_About", "About", typeof(Commands), inputs);

            InputGestureCollection inputs1 = new InputGestureCollection();
            Hotkeys = new RoutedUICommand("_Hotkeys", "Hotkeys", typeof(Commands), inputs1);

            InputGestureCollection inputs2 = new InputGestureCollection();
            Instruction = new RoutedUICommand("_Instruction", "Instruction", typeof(Commands), inputs2);

            InputGestureCollection inputs3 = new InputGestureCollection();
            RunSQL = new RoutedUICommand("_RunSQL", "RunSQL", typeof(Commands), inputs3);

            InputGestureCollection inputs4 = new InputGestureCollection();
            VerDB = new RoutedUICommand("_VerDB", "VerDB", typeof(Commands), inputs4);

            InputGestureCollection inputs5 = new InputGestureCollection();
            CheckErrors = new RoutedUICommand("_CheckErrors", "CheckErrors", typeof(Commands), inputs5);

            InputGestureCollection inputs6 = new InputGestureCollection();
            CheckDateParam = new RoutedUICommand("_CheckDateParam", "CheckDateParam", typeof(Commands), inputs6);
        }
    }
}
