﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace AppTrans
{
    class RunSQLObject
    {
        //Проверка версии БД при старте программы
        public const string sql_CheckingTableVersionDB = @"select (case when count(*) = 0 then 0 when count(*) > 0 then 1 end) as CheckingTableVersionDB from INFORMATION_SCHEMA.tables as tables where table_name = 'VersionDB'";
        public int CheckingTableVersionDB { get; set; }
        public const string sql_MaxVersionDB = @"SELECT MAX([Version]) as MaxVersionDB FROM [VersionDB]";
        public int MaxVersionDB { get; set; }
        //Получения настроек для конструкторов
        public const string sql_WorkFromDate = @"SELECT TOP(1)convert(datetime, Settings.Value, 104) as WorkFromDate FROM Settings WHERE Code = 'rep_work_constr_from_date'";
        public DateTime WorkFromDate { get; set; }
        public const string sql_WorkToDate = @"SELECT TOP(1)convert(datetime, Settings.Value, 104) as WorkToDate FROM Settings WHERE Code = 'rep_work_constr_to_date'";
        public DateTime WorkToDate { get; set; }
        public const string sql_FinFromDate = @"SELECT TOP(1)convert(datetime, Settings.Value, 104) as FinFromDate FROM Settings WHERE Code = 'rep_fin_constr_from_date'";
        public DateTime FinFromDate { get; set; }
        public const string sql_FinToDate = @"SELECT TOP(1)convert(datetime, Settings.Value, 104) as FinToDate FROM Settings WHERE Code = 'rep_fin_constr_to_date'";
        public DateTime FinToDate { get; set; }
        //Вставка новых 4-х настроек для конструктора
        public const string sql_insert_set1 = @"INSERT INTO [Settings] ([Code],[Value],[Discription]) VALUES (N'rep_work_constr_from_date',N'01.01.2013',N'Дата с. Настройки конструктора Работы')";
        public const string sql_insert_set2 = @"INSERT INTO [Settings] ([Code],[Value],[Discription]) VALUES (N'rep_work_constr_to_date',N'31.12.2020',N'Дата по. Настройки конструктора Работы')";
        public const string sql_insert_set3 = @"INSERT INTO [Settings] ([Code],[Value],[Discription]) VALUES (N'rep_fin_constr_from_date',N'01.01.2013',N'Дата с. Настройки конструктора Финансы')";
        public const string sql_insert_set4 = @"INSERT INTO [Settings] ([Code],[Value],[Discription]) VALUES (N'rep_fin_constr_to_date',N'31.12.2020',N'Дата по. Настройки конструктора Финансы')";
        //Обновление версии БД (версия 10)
        public const string sql_InsertVersion10 = @"INSERT INTO [VersionDB] ([Version], [Data]) VALUES (10,GetDate());";
    }
}
