﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace AppTrans
{
    class ProcentObject
    {
        public const string sql = @"
SELECT DictionaryPartners.Name as Партнер, aa.Summa as Сумма, DictionaryCurrency.ShortName as Валюта, (aa.Summa/SumAll.Summa2)*100 as Процент
FROM (
select w.Customer,
sum(w.PriceOfSales) as Summa,
w.CurrencySales
from Work w
Group by Customer, CurrencySales
) as aa
INNER JOIN
(select Customer ,sum(PriceOfSales) as Summa2 from Work where PriceOfSales != 0 group by Customer) as SumAll on SumAll.Customer = aa.Customer
INNER JOIN DictionaryPartners on DictionaryPartners.Id = aa.Customer
INNER JOIN DictionaryCurrency on DictionaryCurrency.Id = aa.CurrencySales
ORDER BY Партнер, Сумма, Валюта, Процент
";

        public string Партнер { get; set; }
        public decimal? Сумма { get; set; }
        public string Валюта { get; set; }
        public decimal? Процент { get; set; }
    }
}
